Subject: RE: dnd (was RE: [Simple] Extending <status> for presence)

From: "Rosen, Brian" <[email-masked]>
Date: Wed, 22 Jan 2003 08:26:47 -0500

> In the draft that I'm finishing up, I use the same principle as in 
> caller preferences: provide a hint what kind of communication is 
> currently welcome (routine, urgent, emergency). I suspect that this 
> works reasonably well in practice with people you know, as 
> most people 
> would be embarrassed to call you with a trivial problem if you have 
> indicated "emergency only". DND is always a hint; it requires 
> judgement 
> since the disturbing party needs to gauge how important the 
> interruption 
> is. Except for truly life-threatening cases, this is not 
> easily encoded 
> in software. (For example, most people would ignore the DND 
> sign on your 
> door even if it was just a fire drill.)
I don't think this will work well enough.
It probably works for DND, but it doesn't work for, say, On Vacation.
When I'm on vacation, I welcome calls from friends and family, but
not from teammates, vendors, or customers.  My Boss may be able to
get a call through to me, others calling my office get voicemail.
It works the other way for "Out of Office".  There, my teammates
probably get forwarded to my cell, vendors get voicemail, friends
probably get voicemail, my wife gets forwarded.

... snip ...
> 
> To amplify: There are at least three uses for presence information:
> - for publishing, which then turns into all kinds of 
> notifications (the 
> example you gave);
> - for direct notifications (the common assumption);
> - and for generating call policy, e.g., a CPL script.
I'm not sure I appreciate the difference between the first two.
If a human interprets state, and makes a decision on what to do
given the state, then we are simply discussing whether we give
him a description of what state we are in, or what we are
willing to do about it (On Vacation, vs Accepting calls from
friends).  The third is quite different, because we are
providing information for an automaton to act on.  
_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple

---

From: Henning Schulzrinne <[email-masked]>
Date: Wed, 22 Jan 2003 09:25:28 -0500

> probably get voicemail, my wife gets forwarded.

Again, 'dnd' and 'on vacation' are used only in two ways by automatons:

(1) If your CPL-generator subscribes to your presence, it may translate 
"on vacation" to a set of filters and rules that implement the behavior 
you describe.

(2) There may be some rule-based mechanism in your presence agent that 
translates your PUBLISHed 'dnd' to a set of OPEN and CLOSED indications 
for particular subscribers.

Other indications, such as 'open' or 'closed', customized for each 
recipient of the notification, determine the precise meaning for each 
means of communication.

> providing information for an automaton to act on.  

See above.